summaryrefslogtreecommitdiffstats
path: root/bin/ebuild.sh
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2005-12-07 00:46:19 +0000
committerMike Frysinger <vapier@gentoo.org>2005-12-07 00:46:19 +0000
commitc6decb18f1d3b917b5b44853d129cfd59f769423 (patch)
tree581e97f50118aa5fed6a25e426ed62b6d265a737 /bin/ebuild.sh
parentcbd1581239d48618881ae9802c54e44920fcd4ce (diff)
downloadportage-c6decb18f1d3b917b5b44853d129cfd59f769423.tar.gz
portage-c6decb18f1d3b917b5b44853d129cfd59f769423.tar.bz2
portage-c6decb18f1d3b917b5b44853d129cfd59f769423.zip
use emake -j1 in default src_test() instead of make
svn path=/main/trunk/; revision=2341
Diffstat (limited to 'bin/ebuild.sh')
-rwxr-xr-xbin/ebuild.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index d66097223..e0a6cd56b 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -568,15 +568,15 @@ src_compile() {
src_test()
{
addpredict /
- if make check -n &> /dev/null; then
+ if emake -j1 check -n &> /dev/null; then
echo ">>> Test phase [check]: ${CATEGORY}/${PF}"
- if ! make check; then
+ if ! emake -j1 check; then
hasq test $FEATURES && die "Make check failed. See above for details."
hasq test $FEATURES || eerror "Make check failed. See above for details."
fi
- elif make test -n &> /dev/null; then
+ elif emake -j1 test -n &> /dev/null; then
echo ">>> Test phase [test]: ${CATEGORY}/${PF}"
- if ! make test; then
+ if ! emake -j1 test; then
hasq test $FEATURES && die "Make test failed. See above for details."
hasq test $FEATURES || eerror "Make test failed. See above for details."
fi